#!/bin/sh
#
# This script installs a cron job to automatically restart
# ntg application uppon crash.

/bin/rm -f XXX_INSTDIR_XXX/scripts/video_mcu-cron-job.txt

/usr/bin/crontab -l | grep -v "no crontab for" | grep -v "video_mcu-cron-job.sh" >> XXX_INSTDIR_XXX/scripts/video_mcu-cron-job.txt

SHELL=`grep SHELL=/bin/sh XXX_INSTDIR_XXX/scripts/video_mcu-cron-job.txt`
PATH=`grep PATH=/bin XXX_INSTDIR_XXX/scripts/video_mcu-cron-job.txt`

if [ -z "$PATH" ] ; then
  echo "PATH=/bin/:/sbin" >> XXX_INSTDIR_XXX/scripts/video_mcu-cron-job.txt
fi

if [ -z "$SHELL" ] ; then 
  echo "SHELL=/bin/sh" >> XXX_INSTDIR_XXX/scripts/video_mcu-cron-job.txt
fi

echo "* * * * * XXX_INSTDIR_XXX/scripts/video_mcu-cron-job.sh" >> XXX_INSTDIR_XXX/scripts/video_mcu-cron-job.txt

/usr/bin/crontab XXX_INSTDIR_XXX/scripts/video_mcu-cron-job.txt

/bin/rm -f XXX_INSTDIR_XXX/scripts/video_mcu-cron-job.txt
